/*
 *
 * qos.c -- Traffic Squeezer QoS management code.
 *
 * Author: Kiran K (2006-2008)
 *         kiran_cyberpro at yahoo dot com
 *
 *
 * Traffic Squeezer is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * Traffic Squeezer is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GNU Zebra; see the file COPYING.  If not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include <stdio.h>
#include <malloc.h>
#include <string.h>
#include <sys/types.h>

#include "qos.h"
#include "common.h"


int add_class()            /* add a new class under a specified parent */
{

}


int del_class()            /* delete the specified class */
{


}

int add_class_rule()       /* add a new rule to the specified class (i.e TCP/UDP/IP/FTP or ALL_TRAFFIC */
{

}

int del_class_rule()       /* delete the current class' specified rule */
{


}

int set_class_qdisk()      /* set the class qdisk mechanism */
{


}

int get_parent_class()     /* get parent of the current class */
{

}


int get_child_classes()    /* get all the children of the current class */
{

}

int set_class_bandwidth()  /* set the specified class bandwidth */
{

}


int get_gui_qos()
{


}


static int init_class(class_node_t *class_node)       /* clear/set defaults in a newly created node */
{
	class_node->parent       = ROOT_NODE_INDEX;  /* if parent is "-1(ROOT_NODE_INDEX)" i.e the root node */
	class_node->traffic_type = ALL_TRAFFIC;
	class_node->qdisc        = DEFAULT_PRIORITY;
	class_node->bandwidth    = 100*1024; /* 100 Mbps */


}



